<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>title</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous" />
    <link href="fishdetail.css" rel="stylesheet" type="text/css" />

</head>

<body>
    <div id="wrapper">

        <nav class="navbar  navbar-light " style="background-color: azure" ;>

            <h1>
                <p class="fishtitle text-primary">熱帯魚の館</p>
            </h1>
            <ul class="l navbar-nav flex-row">
                <li class="nav-item">
                    <a class="nav-link" href="userdetailservlet?id=${userInfo.id}"> ${userInfo.name}さん</a>
                </li>
                <li class="nav-item">
                    　　<a class="btn btn-primary" href="LoginServlet">ログアウト</a>
                </li>
            </ul>
        </nav>



        <br>

        <div class="main">

            <div class="rightside">
                <img src="image/${fishdetail.fishImageName}" class="fishdetail">
            </div>




            <div class="leftside">
                <div class="form col-sm-6">

                    <div class="form-gruop row">
                        <label for="fishname" class="col-sm-4 col-form-label">　
                            　名前
                        </label>
                        ${fishdetail.fishName}
                    </div>

                    <div class="form-gruop row">
                        <label for="fishsize" class="col-sm-4 col-form-label">　
                            　生息地　　　
                        </label>
                        ${fishdetail.fishhabitat}
                    </div>

                    <div class="form-gruop row">
                        <label for="fishsize" class="col-sm-4 col-form-label">　
                            　体長　　
                        </label>
                        ${fishdetail.fishsize}
                    </div>

                    <div class="form-gruop row">
                        <label for="fishsize" class="col-sm-4 col-form-label">　
                            　寿命　　
                        </label>
                        ${fishdetail.fishlifespan}
                    </div>


                    <div class="form-gruop row">
                        <label for="fishdetail" class="col-sm-4 col-form-label">　
                            　生態など　　</label>
                        <div class="texts">
                            <p class="box">${fishdetail.fishdetail}</p>
                        </div>

                    </div>
                </div>
                <br>
                <br>
                <c:if test="${userInfo.loginId=='admin' or userInfo.id==fishdetail.userid}">
                    　　<a class="btn btn-success" href="FishupdateServlet?fishid=${fishdetail.fishid}">熱帯魚情報更新</a>
                    　　<a class="btn btn-danger" href="FishdeleteServlet?fishid=${fishdetail.fishid}">熱帯魚情報削除</a>
                </c:if>



                <br>
                <br>
                <br>
                <h3>　熱帯魚掲示板 </h3>

                <c:forEach var="fishboardList" items="${fishboardList}" varStatus="status">

                    <div class="row"></div>
                    <a href="FishboardServlet?userid=${userInfo.id}&fishboardid=${fishboardList.boardid}">
                        　　 ・${fishboardList.boardname}
                    </a>

                </c:forEach>

                <br>
                <br>

                <a href="FishboardresisterServlet?fish_id=${fishdetail.fishid}&userid=${fishdetail.userid}">　　→熱帯魚掲示板登録</a>

                <br><br><br>
                <a class="nav-link" href="fishviewServlet"> 　　戻る</a>

            </div>
        </div>



        <footer>
            <a href="userresisterServlet"> ユーザ情報新規登録</a>
        </footer>
    </div>
</body></html>

